Bug 1297523 - Update Red Hat Access Plugin to work with Rails 4
Summary: Update Red Hat Access Plugin to work with Rails 4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: rubygem-foreman-redhat_access
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Lindani Phiri
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-11 18:56 UTC by Lindani Phiri
Modified: 2019-09-25 21:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:22:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC

Description Lindani Phiri 2016-01-11 18:56:02 UTC
The foreman (and katello) projects have been updated to use Rails 4.0 in Satellite 6.2

Code changes are required to the Access plugin to ensure that it keeps working after the upgrade.


Per email from Ohad:

Hi,

Just a few headsup - not sure if you are closely following our upstream development.

1. we merged rails 4, there are potentially minor changes, from a quick look it needs to be updated, remove dependency on rails ~> rails 3. , and in the engine remove the += in db/migrate path, and in the routes there is a rails 4 change that needs to be done etc.

2. we merged patternfly/font-awesome etc, I've noticed a few overlap with your vendor directory, most likely can be removed from your plugin?

cheers,
Ohad

Comment 5 jcallaha 2016-04-04 18:04:11 UTC
QA blocked by https://bugzilla.redhat.com/show_bug.cgi?id=1323793

Comment 6 jcallaha 2016-04-14 15:54:03 UTC
Verified Satellite 6.2 Beta Snap 8 compose 1.

Comment 8 errata-xmlrpc 2016-07-27 09:22:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.